<div class="picture-area" *ngIf="itemSwitch">
    <div *ngIf="itemSwitch" class="img-container" (click)="itemSwitch = false">
        <button mat-icon-button (click)="itemSwitch = false" class="close-img"><i class="fas fa-times"></i>
        </button>
    </div>
    <img src="{{this.picture}}" *ngIf="itemSwitch" class="img">
</div>
<div class="loading-area" *ngIf="loadingSpinner !== null && loadingSpinner !== true">
    <mat-spinner class="spinner"></mat-spinner>
</div>
<div class="mat-elevation-z8">
    <table mat-table [dataSource]="this.dataSource" *ngIf="this.icaoCode"
           matSort style="width: 100%">

        <ng-container matColumnDef="id">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>ID</th>
            <td mat-cell *matCellDef="let element"> {{element.id}} </td>
        </ng-container>
        <ng-container matColumnDef="0">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>ICAO 24-bit Address</th>
            <td mat-cell *matCellDef="let element"> {{element[0]}} </td>
        </ng-container>
        <ng-container matColumnDef="1">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>{{ dictionary.latitude }}</th>
            <td mat-cell *matCellDef="let element"> {{element[1]}} </td>
        </ng-container>
        <ng-container matColumnDef="2">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>{{ dictionary.longitude }}</th>
            <td mat-cell *matCellDef="let element"> {{element[2]}} </td>
        </ng-container>
        <ng-container matColumnDef="3">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>{{ dictionary.track }}</th>
            <td mat-cell *matCellDef="let element"> {{element[3]}} </td>
        </ng-container>
        <ng-container matColumnDef="4">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>{{ dictionary.calibratedAltitude }}</th>
            <td mat-cell *matCellDef="let element"> {{element[4]}} </td>
        </ng-container>
        <ng-container matColumnDef="5">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>{{ dictionary.groundSpeed }}</th>
            <td mat-cell *matCellDef="let element"> {{element[5]}} </td>
        </ng-container>
        <ng-container matColumnDef="6">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>{{ dictionary.squawk }}</th>
            <td mat-cell *matCellDef="let element"> {{element[6]}} </td>
        </ng-container>
        <ng-container matColumnDef="7">
            <th mat-header-cell *matHeaderCellDef mat-sort-header></th>
            <td mat-cell *matCellDef="let element"> {{element[7]}} </td>
        </ng-container>
        <ng-container matColumnDef="8">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>{{ dictionary.aircraft }} (ICAO Code)</th>
            <td mat-cell *matCellDef="let element"> {{element["result"].name}} ({{element[8]}})</td>
        </ng-container>
        <ng-container matColumnDef="9">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>{{ dictionary.registration }}</th>
            <td mat-cell *matCellDef="let element"> {{element[9]}} </td>
        </ng-container>
        <ng-container matColumnDef="10">
            <th mat-header-cell *matHeaderCellDef mat-sort-header></th>
            <td mat-cell *matCellDef="let element"> {{element[10]}} </td>
        </ng-container>
        <ng-container matColumnDef="11">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>{{ dictionary.departureAirport }}</th>
            <td mat-cell *matCellDef="let element" [matTooltip]="element['from']"> {{element[11]}} </td>
        </ng-container>
        <ng-container matColumnDef="12">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>{{ dictionary.arrivalAirport }}</th>
            <td mat-cell *matCellDef="let element" [matTooltip]="element['to']"> {{element[12]}} </td>
        </ng-container>
        <ng-container matColumnDef="13">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>{{ dictionary.flightNumber }}</th>
            <td mat-cell *matCellDef="let element" [matTooltip]="(element[13] ? '' : '')"> {{ (element[13] ? element[13] : element[16])}} </td>
        </ng-container>
        <ng-container matColumnDef="14">
            <th mat-header-cell *matHeaderCellDef mat-sort-header></th>
            <td mat-cell *matCellDef="let element"> {{element[14]}} </td>
        </ng-container>
        <ng-container matColumnDef="15">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>{{ dictionary.verticalSpeed }}</th>
            <td mat-cell *matCellDef="let element"> {{element[15]}} </td>
        </ng-container>
        <ng-container matColumnDef="16">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>{{ dictionary.flightRoute }}</th>
            <td mat-cell *matCellDef="let element"> {{element[16]}} </td>
        </ng-container>
        <ng-container matColumnDef="17">
            <th mat-header-cell *matHeaderCellDef mat-sort-header></th>
            <td mat-cell *matCellDef="let element"> {{element[17]}} </td>
        </ng-container>
        <ng-container matColumnDef="18">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>{{dictionary.airline}}</th>
            <td mat-cell *matCellDef="let element"> {{ element[18] }} </td>
        </ng-container>
        <ng-container matColumnDef="status">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>{{dictionary.status}}</th>
            <td mat-cell *matCellDef="let element"> {{element["status"]}} </td>
        </ng-container>
        <ng-container matColumnDef="airline">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>{{dictionary.airline}}</th>
            <td mat-cell *matCellDef="let element" [title]="element[18]"> {{(element["airline"] !== "- Unknown -" ? element["airline"] : "- " + dictionary.unknown + " -")}} </td>
        </ng-container>
        <ng-container matColumnDef="from">
            <th mat-header-cell *matHeaderCellDef mat-sort-header></th>
            <td mat-cell *matCellDef="let element"> {{element["from"]}} </td>
        </ng-container>
        <ng-container matColumnDef="to">
            <th mat-header-cell *matHeaderCellDef mat-sort-header></th>
            <td mat-cell *matCellDef="let element"> {{element["to"]}} </td>
        </ng-container>

        <ng-container matColumnDef="button">
            <th mat-header-cell *matHeaderCellDef></th>
            <td mat-cell *matCellDef="let element">
                <button [disabled]="element[11] === '' && element[12] === '' && element[13] === '' && element[16] === ''" mat-icon-button color="primary" (click)="showDetails(element)" (focus)="$event.NONE"><i class="far fa-eye"></i>
                </button>
            </td>
        </ng-container>
        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>
    <mat-paginator [pageSize]="10"
                   [pageSizeOptions]="this.dataSource ? [5, 10, 15, 20, 25, 50, this.dataSource.data.length] : [5, 10, 15, 20, 25, 50]"
                   showFirstLastButtons></mat-paginator>

</div>


